#!/bin/bash
# mozregression -g 76 -b 77 -c './bisect.sh {binary}' --persist /tmp/mozregtemp

firefoxbin="$1"

cd "$(dirname "${BASH_SOURCE[0]}" )"

setup() {
    echo
}

runtest() {
    web-ext run -f "$firefoxbin"
}

setup
runtest

while true; do
    read -p "$* [good/bad/retry/setup/updatescript]: " q
    case $q in
        [g]*)
            exit 0
            ;;
        [b]*)
            exit 1
            ;;
        [r]*)
            runtest
            ;;
        [s]*)
            setup
            runtest
            ;;
        [u]*)
            # In case you want to update the script while bisecting.
            exec bash "$0" "$firefoxbin"
            ;;
    esac
done
